commit: 6be7b470c9dc87b31e46380944cfdef9af2b5510
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 27 04:09:28 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Oct 27 04:46:06 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6be7b470
media-libs/alsa-lib: add 1.2.8
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/alsa-lib/Manifest | 1 +
media-libs/alsa-lib/alsa-lib-1.2.8.ebuild | 96 +++++++++++++++++++++++++++++++
2 files changed, 97 insertions(+)
diff --git a/media-libs/alsa-lib/Manifest b/media-libs/alsa-lib/Manifest
index 4ae6d0035c44..4302b90818ee 100644
--- a/media-libs/alsa-lib/Manifest
+++ b/media-libs/alsa-lib/Manifest
@@ -1 +1,2 @@
DIST alsa-lib-1.2.7.2.tar.bz2 1085117 BLAKE2B
9ae3d4358d802970249e1b904faa7c4d646dec1d8c93e0de9c4b70065e912b910303d77e8f9f68c97b883ec270cf0dd8b97146b4a85f3aede4f290683c462fce
SHA512
79e5920384e570a1acd8ecd1eb8812879333c3cedb1d15780080afc40125b97df893c33f4163d9dd863871b628bc6026265f8ace2c8634fc1af5b52b62ac9cfe
+DIST alsa-lib-1.2.8.tar.bz2 1091475 BLAKE2B
e6171ac557db6265e3f02df7bd269eca62d09afaf2c04dc913d3bb217df23a8e66e808ad453fea5ed90d4d9226feb05065ad5d9b3575241b76675ccd27b9b4d4
SHA512
865ff05a8f589996f8d63d43a91c961f1b64144f3e1d17c7074b7ac16f25b3fd1c371d46ed63a8cc20fa01e63c76b75f1a9802b56889ae1073854dd050d27688
diff --git a/media-libs/alsa-lib/alsa-lib-1.2.8.ebuild
b/media-libs/alsa-lib/alsa-lib-1.2.8.ebuild
new file mode 100644
index 000000000000..ea97e535b5f7
--- /dev/null
+++ b/media-libs/alsa-lib/alsa-lib-1.2.8.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit autotools multilib-minimal flag-o-matic python-single-r1
+
+DESCRIPTION="Advanced Linux Sound Architecture Library"
+HOMEPAGE="https://alsa-project.org/wiki/Main_Page"
+if [[ ${PV} == *_p* ]] ; then
+ # Please set correct commit ID for a snapshot release!
+ COMMIT="abe805ed6c7f38e48002e575535afd1f673b9bcd"
+
SRC_URI="https://git.alsa-project.org/?p=${PN}.git;a=snapshot;h=${COMMIT};sf=tgz
-> ${P}.tar.gz"
+ S="${WORKDIR}"/${PN}-${COMMIT:0:7}
+else
+ # TODO: Upstream does publish .sig files, so someone could implement
verify-sig ;)
+ SRC_URI="https://www.alsa-project.org/files/pub/lib/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="alisp debug doc python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ media-libs/alsa-topology-conf
+ media-libs/alsa-ucm-conf
+ python? ( ${PYTHON_DEPS} )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="doc? ( >=app-doc/doxygen-1.2.6 )"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.1.6-missing_files.patch" # bug #652422
+)
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ find . -name Makefile.am -exec sed -i -e '/CFLAGS/s:-g -O2::' {} + ||
die
+ # bug #545950
+ sed -i -e '5s:^$:\nAM_CPPFLAGS = -I$(top_srcdir)/include:'
test/lsb/Makefile.am || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ # Broken upstream. Could in theory work with -flto-partitions=none
+ # but it's a hack to workaround the real problem and not strictly safe.
+ # bug #616108, bug #669086, and
https://github.com/alsa-project/alsa-lib/issues/6.
+ filter-lto
+
+ local myeconfargs=(
+ --disable-maintainer-mode
+ --disable-resmgr
+ --enable-aload
+ --enable-rawmidi
+ --enable-seq
+ --enable-shared
+ --enable-thread-safety
+
+ $(multilib_native_use_enable python)
+ $(use_enable alisp)
+ $(use_with debug)
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+ emake
+
+ if multilib_is_native_abi && use doc; then
+ emake doc
+ grep -FZrl "${S}" doc/doxygen/html | \
+ xargs -0 sed -i -e "s:${S}::" || die
+ fi
+}
+
+multilib_src_install() {
+ multilib_is_native_abi && use doc && local HTML_DOCS=(
doc/doxygen/html/. )
+
+ default
+}
+
+multilib_src_install_all() {
+ find "${ED}" -type f \( -name '*.a' -o -name '*.la' \) -delete || die
+
+ dodoc ChangeLog doc/asoundrc.txt NOTES TODO
+}